## org.plovr
Class ModuleConfig

    java.lang.Object
      org.plovr.ModuleConfig

    public final class ModuleConfig

extends java.lang.Object

Nested Class Summary
`static class` `ModuleConfig.BadDependencyTreeException`
`static class` `ModuleConfig.ModuleInfo`

Method Summary
`static org.plovr.ModuleConfig.Builder` `builder(java.io.File relativePathBase)`
`static org.plovr.ModuleConfig.Builder` `builder(ModuleConfig moduleConfig)`
`Function<java.lang.String,java.lang.String>` `createModuleNameToUriFunction()`
`boolean` `excludeModuleInfoFromRootModule()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` `getInvertedDependencyTree()`
`ModuleConfig.ModuleInfo` `getModuleInfo(java.lang.String module)`
`java.io.File` `getModuleInfoPath()`
`java.lang.Iterable<java.lang.String>` `getModuleNames()`
`java.util.Map<java.lang.String,java.io.File>` `getModuleToOutputPath()`
`java.lang.String` `getProductionUri()`
`java.lang.String` `getRootModule()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getRootModule

    public java.lang.String getRootModule()

### getModuleNames

    public java.lang.Iterable<java.lang.String> getModuleNames()

### getModuleToOutputPath

    public java.util.Map<java.lang.String,java.io.File> getModuleToOutputPath()

### getModuleInfo

    public ModuleConfig.ModuleInfo getModuleInfo(java.lang.String module)

### getInvertedDependencyTree

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getInvertedDependencyTree()

  Returns:
    a map of modules to modules that depend on that module

### getProductionUri

    public java.lang.String getProductionUri()

### getModuleInfoPath

    public java.io.File getModuleInfoPath()

### excludeModuleInfoFromRootModule

    public boolean excludeModuleInfoFromRootModule()

### createModuleNameToUriFunction

    public Function<java.lang.String,java.lang.String> createModuleNameToUriFunction()

### builder

    public static org.plovr.ModuleConfig.Builder builder(java.io.File relativePathBase)

### builder

    public static org.plovr.ModuleConfig.Builder builder(ModuleConfig moduleConfig)